package com.fdkankan.scene.service;

import com.fdkankan.scene.entity.Scene3dNum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 八目场景编码表 服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
public interface IScene3dNumService extends IService<Scene3dNum> {

    List<String> findSceneNum();

    Scene3dNum findByNum(String sceneCode);
//
    void updateUsedStatus(List<String> nums);

    /**
     * 从码池中取出一个场景码
     * @return
     */
    String generateSceneNum(Integer cameraType);

    /**
     * 批量生成场景码并放入码池
     */
    void batchCreateSceneNum();



}
